<template>
    <div class="flex justify-between items-center h-16" v-loading="isLoading">

            <div class="flex justify-start items-center">
                <header-hamburger-menu />
                <nuxt-link
                v-if="!logo.IsHidden"
                :to="logo.HyperLink ? `/${logo.HyperLink}` : '/'"
                class="w-24 h-[32px]"
            >
                <img :src="logo.ImagePath" alt="company-logo" class="object-contain">
                  </nuxt-link>
            </div>

        <div>
            <div
                class="flex justify-end items-center"
                @mouseover="isFeatureContentEnabled = false"
            >
                <div v-if="auth" class="flex items-center">
                    <p class="mx-2 font-bold --text3">{{ username }}</p>
                </div>
                <div v-if="auth" class="flex items-center">
                    <utils-balance-information :is-suspended="isSuspendedAccount" :isPopUp="true"/>
                    <nuxt-link
                        v-if="isCashPlayer && isShowDepositWithdrawal"
                        :to="`${$route.path}?uc=/deposit`"
                        class="px-4 py-1 mx-4 rounded-2xl btn --secondary --textBtn"
                    >
                        <b>{{ $t(`deposit${isBhinbhin}`) }}</b>
                    </nuxt-link>
                </div>
                <div v-else class="flex items-center">
                    <nuxt-link
                        to="/login"
                        class="px-4 py-1 bg-secondary rounded-[14px] flex justify-center items-center mr-4"
                    >
                        <b>{{ $t("capital_login") }}</b>
                    </nuxt-link>
                    <nuxt-link
                        v-if="!register.IsHidden"
                        to="/register"
                        class="px-4 py-1 bg-primary rounded-[14px] flex justify-center items-center mr-4"
                    >
                        <b>{{ $t("joinnow") }}</b>
                    </nuxt-link>
                    <nuxt-link
                        v-if="!agentCooperation.IsHidden"
                        to="/agent-cooperation"
                        class="px-4 py-1 bg-tertiary rounded-[14px] flex justify-center items-center mr-4"
                    >
                        <b>{{ $t("agent_cooperation") }}</b>
                    </nuxt-link>
                </div>
                <div>
                    <utils-language />
                </div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
import { store } from "@/store";
import { IThemePropertiesFromApi } from '~~/models/companyThemePropertiesRespone';
import {
  useHeaderComponent,
} from "@/composables/useTheme";
import EnumThemePropertyKey from "@/models/enums/enumThemePropertyKey";
import commonHelper from "@/utils/commonHelper";

const {
      isLoading,
      isFeatureContentEnabled,
      referralEnabled,
      agentCooperation,
      register,
      auth,
      isSuspendedAccount,
      username,
      logout,
      isCashPlayer,
      isShowDepositWithdrawal,
      isReferralV2Enabled,
    } = useHeaderComponent();

const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
const logo = computed((): IThemePropertiesFromApi => themePropertyHelper.getSingleThemeProperty(themeProperties.value, EnumThemePropertyKey.logo));
const { isBhinbhin } = commonHelper;
</script>

<style scoped>

</style>